% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ef_china.R
\name{ef_china_te}
\alias{ef_china_te}
\title{Correction of Chinese emission factors by temperature}
\usage{
ef_china_te(te, v = "PV", t = "Small", f = "G", p)
}
\arguments{
\item{te}{numeric temperature in celsius}

\item{v}{Character; category vehicle: "PV" for Passenger Vehicles or 'Trucks"}

\item{t}{Character; sub-category of of vehicle: PV Gasoline:  "Mini", "Small","Medium",
"Large", "Taxi", "Motorcycles", "Moped", PV Diesel: "Mediumbus", "Largebus",
 "3-Wheel". Trucks: "Mini", "Light" , "Medium", "Heavy"}

\item{f}{Character;fuel: "G", "D", "CNG"}

\item{p}{Character; pollutant: "CO", "NOx","HC", "PM", "Evaporative_driving"
or "Evaporative_parking"}
}
\value{
long data.frame
}
\description{
Correction of Chinese emission
}
\examples{
{
data(net)
head(ef_china_te(te = net$ps,  p = "CO"))
head(ef_china_te(te = net$ps,
                 p = "NOx"))
}
}
\seealso{
Other China: 
\code{\link{ef_china}()},
\code{\link{ef_china_det}()},
\code{\link{ef_china_h}()},
\code{\link{ef_china_hu}()},
\code{\link{ef_china_long}()},
\code{\link{ef_china_s}()},
\code{\link{ef_china_speed}()},
\code{\link{ef_china_th}()},
\code{\link{emis_china}()},
\code{\link{emis_long}()}
}
\concept{China}
